Unknown Qt application causes HUD / libdbusmenu-qt to use 100% CPU

Bug #1280372 reported by Pete Woods on 2014-02-14
26
This bug affects 6 people
Affects Status Importance Assigned to Milestone
libdbusmenu-qt
Fix Released
High
Unassigned
hud (Ubuntu)
Undecided
Unassigned
libdbusmenu-qt (Ubuntu)
Undecided
Unassigned

Bug Description

See the following debug output:
* http://paste.ubuntu.com/6931329/
* http://paste.ubuntu.com/6931331/
* http://paste.ubuntu.com/6931338/
* http://paste.ubuntu.com/7151579/

14:09:09 QVariantMap DBusMenuExporterDBus::getProperties(int, const QStringList&) const: Condition failed: action
14:09:09 bool DBusMenuExporterDBus::AboutToShow(int): Condition failed: menu

Was also seen in the console.

Related branches

Pete Woods (pete-woods) on 2014-02-14
Changed in hud:
importance: Undecided → High
assignee: nobody → Pete Woods (pete-woods)
Pete Woods (pete-woods) on 2014-02-14
Changed in libdbusmenu-qt:
importance: Undecided → High
assignee: nobody → Pete Woods (pete-woods)
Changed in hud:
status: New → In Progress
Changed in libdbusmenu-qt:
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libdbusmenu-qt - 0.9.2+14.04.20140218.2-0ubuntu1

---------------
libdbusmenu-qt (0.9.2+14.04.20140218.2-0ubuntu1) trusty; urgency=low

  [ Pete Woods ]
  * Remove busy watcher (LP: #1280372)
 -- Ubuntu daily release <email address hidden> Tue, 18 Feb 2014 14:33:02 +0000

Changed in libdbusmenu-qt (Ubuntu):
status: New → Fix Released
Pete Woods (pete-woods) on 2014-03-23
Changed in libdbusmenu-qt:
status: In Progress → Fix Released
Changed in hud:
status: In Progress → Fix Released
Pete Woods (pete-woods) on 2014-03-26
Changed in hud:
status: Fix Released → Confirmed
summary: - Unknown Qt application causes libdbusmenu-qt to use 100% CPU
+ Unknown Qt application causes HUD / libdbusmenu-qt to use 100% CPU
Changed in hud:
importance: High → Critical
Pete Woods (pete-woods) on 2014-03-26
description: updated
Changed in hud (Ubuntu):
status: New → In Progress
assignee: nobody → Pete Woods (pete-woods)
Changed in libdbusmenu-qt (Ubuntu):
assignee: nobody → Pete Woods (pete-woods)
Changed in hud:
status: Confirmed → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package hud - 13.10.1+14.04.20140326-0ubuntu1

---------------
hud (13.10.1+14.04.20140326-0ubuntu1) trusty; urgency=low

  [ Pete Woods ]
  * Add safety valve for DBusMenuCollector that also reports the
    offending application (LP: #1280372)

hud (13.10.1+14.04.20140325-0ubuntu1) trusty; urgency=low

  [ Charles Kerr ]
  * Simplify the implementation of QtGActionGroup. This started off with
    the intent of removing the overhead of g_action_group_list_actions()
    in QtGActionGroup::Action(), but then I found
    QtGActionGroup::Action() was only called in the object's constructor
    and destructor, so it made more sense to remove the function
    altogether. Summary of changes:   * Plugged GVariant leak in
    QtGActionGroup::TriggerAction()   * Plugged char* leak in
    QtGMenuUtils::makeStringListQVariant   * ActionGroup ctor calls
    g_action_group_list_actions() once instead of n+1 times   *
    ActionGroup dtor calls g_action_group_list_actions() once instead of
    n times   * Removed unused public method Size()   * Removed newly-
    unused public method Action()   * Removed newly-unused field m_size
    (LP: #1296746)

  [ Pete Woods ]
  * Add null guards to ItemStore search (LP: #1292237)
  * Fix test failures exposed by fix to libqtdbustest (LP: #1296744)
  * Call only "safe" write method from UNIX signal handler See
    http://pubs.opengroup.org/onlinepubs/000095399/functions/xsh_chap02_
    04.html#tag_02_04_01 (LP: #1296602)
 -- Ubuntu daily release <email address hidden> Wed, 26 Mar 2014 09:36:22 +0000

Changed in hud (Ubuntu):
status: In Progress → Fix Released
Pete Woods (pete-woods) on 2017-04-10
Changed in hud:
assignee: Pete Woods (pete-woods) → nobody
Changed in libdbusmenu-qt:
assignee: Pete Woods (pete-woods) → nobody
Changed in hud (Ubuntu):
assignee: Pete Woods (pete-woods) → nobody
Changed in libdbusmenu-qt (Ubuntu):
assignee: Pete Woods (pete-woods) → nobody
Pete Woods (pete-woods) on 2017-11-14
no longer affects: hud
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers